/**
 * transform  optional into a map
 *
 * @example
 * ```javascript
 * const optionals = [ "A", "B", "C.D" ];
 *
 * const map = makeOptionalsMap(optionals);
 * const map = {
 *   A: {}
 *   B: {}
 *   C: {  D: {} }
 * };
 * ```
 *
 * @internal
 */
export interface OptionalMap {
    [key: string]: OptionalMap;
}
export declare function makeOptionalsMap(optionals?: string[] | null): OptionalMap;
