"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeOptionalsMap = void 0;
/**
 * @module node-opcua-address-space
 */
const node_opcua_assert_1 = require("node-opcua-assert");
function makeOptionalsMap(optionals) {
    const resultMap = {};
    if (!optionals) {
        return resultMap;
    }
    (0, node_opcua_assert_1.assert)(optionals instanceof Array);
    function insertInMap(map, s) {
        const key = s[0];
        if (!map[key]) {
            map[key] = {};
        }
        if (s.length > 1) {
            insertInMap(map[key], s.splice(1));
        }
    }
    for (const opt of optionals) {
        const s = opt.split(".");
        insertInMap(resultMap, s);
    }
    return resultMap;
}
exports.makeOptionalsMap = makeOptionalsMap;
//# sourceMappingURL=make_optionals_map.js.map