import { IAddressSpace } from "node-opcua-address-space-base";
import { ExtraDataTypeManager } from "node-opcua-client-dynamic-extension-object";
import { CallbackT, ErrorCallback } from "node-opcua-status-code";
import { SimpleCallback } from "node-opcua-xml2json";
export declare function ensureDatatypeExtracted(addressSpace: IAddressSpace): Promise<ExtraDataTypeManager>;
export declare function ensureDatatypeExtractedWithCallback(addressSpace: IAddressSpace, callback: CallbackT<ExtraDataTypeManager>): void;
export interface NodeSet2ParserEngine {
    addNodeSet: (xmlData: string, callback1: SimpleCallback) => void;
    terminate: (callback: SimpleCallback) => void;
}
export declare function makeNodeSetParserEngine(addressSpace: IAddressSpace): NodeSet2ParserEngine;
export declare class NodeSetLoader {
    _s: any;
    constructor(addressSpace: IAddressSpace);
    addNodeSet(xmlData: string, callback: ErrorCallback): void;
    addNodeSetAsync(xmlData: string): Promise<void>;
    terminate(callback: ErrorCallback): void;
    terminateAsync(): Promise<void>;
}
