import { DataValue } from "node-opcua-data-value";
import { NodeId } from "node-opcua-nodeid";
import { DataType } from "node-opcua-variant";
import { IAddressSpace, UAVariable, UAVariableT } from "node-opcua-address-space-base";
export interface DeviationStuff {
    setpointNode: UAVariableT<NodeId, DataType.NodeId>;
    setpointNodeNode: UAVariable;
    _onSetpointDataValueChange(dataValue: DataValue): void;
    _setStateBasedOnInputValue(value: any): void;
    getSetpointNodeNode(): UAVariable;
    getInputNodeValue(): any;
    getSetpointValue(): number | null;
    readonly addressSpace: IAddressSpace;
}
export declare function DeviationAlarmHelper_getSetpointNodeNode(this: DeviationStuff): UAVariable;
export declare function DeviationAlarmHelper_getSetpointValue(this: DeviationStuff): number | null;
export declare function DeviationAlarmHelper_onSetpointDataValueChange(this: DeviationStuff, dataValue: DataValue): void;
export interface InstallSetPointOptions {
    setpointNode: UAVariableT<NodeId, DataType.NodeId>;
}
export declare function DeviationAlarmHelper_install_setpoint(this: DeviationStuff, options: InstallSetPointOptions): void;
