"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply_condition_refresh = void 0;
const ua_condition_impl_1 = require("./alarms_and_conditions/ua_condition_impl");
function apply_condition_refresh(_cache) {
    // visit all notifiers recursively
    _cache = _cache || {};
    const notifiers = this.getNotifiers();
    const eventSources = this.getEventSources();
    const conditions = this.findReferencesAsObject("HasCondition", true);
    for (const condition of conditions) {
        if (condition instanceof ua_condition_impl_1.UAConditionImpl) {
            condition._resend_conditionEvents();
        }
    }
    const arr = [].concat(notifiers, eventSources);
    for (const notifier of arr) {
        const key = notifier.nodeId.toString();
        if (!_cache[key]) {
            _cache[key] = notifier;
            if (notifier._conditionRefresh) {
                notifier._conditionRefresh(_cache);
            }
        }
    }
}
exports.apply_condition_refresh = apply_condition_refresh;
//# sourceMappingURL=apply_condition_refresh.js.map