"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module node-opcua-address-space.DataAccess
 */
const node_opcua_assert_1 = require("node-opcua-assert");
const node_opcua_status_code_1 = require("node-opcua-status-code");
const node_opcua_variant_1 = require("node-opcua-variant");
const ua_variable_impl_1 = require("../ua_variable_impl");
function validate_value_range(range, variant) {
    if (variant.value < range.low || variant.value > range.high) {
        return false;
    }
    return true;
}
function checkVariantCompatibilityUAAnalogItem(value) {
    (0, node_opcua_assert_1.assert)(value instanceof node_opcua_variant_1.Variant);
    // test dataType
    if (!this._validate_DataType(value.dataType)) {
        return node_opcua_status_code_1.StatusCodes.BadTypeMismatch;
    }
    const analogItem = this;
    // AnalogDataItem
    if (analogItem.instrumentRange) {
        if (!validate_value_range(analogItem.instrumentRange.readValue().value.value, value)) {
            return node_opcua_status_code_1.StatusCodes.BadOutOfRange;
        }
    }
    return node_opcua_status_code_1.StatusCodes.Good;
}
/**
 * extend default checkVariantCompatibility on base class with this one
 */
ua_variable_impl_1.UAVariableImpl.prototype.checkVariantCompatibility = checkVariantCompatibilityUAAnalogItem;
//# sourceMappingURL=check_variant_compatibility_ua_analog_item.js.map