import { NodeId } from "node-opcua-nodeid";
import { SimpleAttributeOperand } from "node-opcua-types";
import { Variant, VariantLike } from "node-opcua-variant";
import { ISessionContext, BaseNode, IEventData } from "node-opcua-address-space-base";
/**
 * @class EventData
 * @param eventTypeNode {BaseNode}
 * @constructor
 */
export declare class EventData implements IEventData {
    eventId: NodeId;
    $eventDataSource: BaseNode;
    private __nodes;
    constructor(eventTypeNode: BaseNode);
    /**
     * @method resolveSelectClause
     * @param selectClause {SimpleAttributeOperand}
     * @return {NodeId|null}
     */
    resolveSelectClause(selectClause: SimpleAttributeOperand): NodeId | null;
    setValue(lowerName: string, node: BaseNode, variant: VariantLike): void;
    /**
     * @method readValue
     * @param nodeId {NodeId}
     * @param selectClause {SimpleAttributeOperand}
     * @return {Variant}
     */
    readValue(sessionContext: ISessionContext, nodeId: NodeId, selectClause: SimpleAttributeOperand): Variant;
}
