/**
 * @module node-opcua-address-space.AlarmsAndConditions
 */
/// <reference types="node" />
import { DataType } from "node-opcua-variant";
import { UAProperty, UAMethod, UAObject } from "node-opcua-address-space-base";
import { UAShelvedStateMachine_Base, UAState } from "node-opcua-nodeset-ua";
import { UATransitionEx } from "../../source/interfaces/state_machine/ua_transition_ex";
import { UAStateMachineImpl } from "./finite_state_machine";
export interface UAShelvedStateMachineHelper {
    _timer: NodeJS.Timer | null;
    _sheveldTime: Date;
    _unshelvedTime: Date;
    _duration: number;
}
export interface UAShelvedStateMachineEx extends Omit<UAShelvedStateMachine_Base, "oneShotShelvedToUnshelved" | "unshelvedToTimedShelved" | "unshelvedToOneShotShelved" | "timedShelvedToUnshelved" | "timedShelvedToOneShotShelved" | "oneShotShelvedToTimedShelved">, UAShelvedStateMachineHelper {
    unshelveTime: UAProperty<number, DataType.Double>;
    unshelved: UAState;
    timedShelved: UAState;
    oneShotShelved: UAState;
    unshelvedToTimedShelved: UATransitionEx;
    unshelvedToOneShotShelved: UATransitionEx;
    timedShelvedToUnshelved: UATransitionEx;
    timedShelvedToOneShotShelved: UATransitionEx;
    oneShotShelvedToUnshelved: UATransitionEx;
    oneShotShelvedToTimedShelved: UATransitionEx;
    timedShelve: UAMethod;
    unshelve: UAMethod;
    oneShotShelve: UAMethod;
}
export declare class UAShelvedStateMachineEx extends UAStateMachineImpl implements UAShelvedStateMachineEx {
    static promote(object: UAObject): UAShelvedStateMachineEx;
}
export declare function _clear_timer_if_any(shelvingState: UAShelvedStateMachineEx): void;
