/**
 * @module node-opcua-data-access
 */
export { EUInformation } from "node-opcua-types";
import { EUInformation } from "node-opcua-types";
export declare function commonCodeToUInt(code: string): number;
export declare function makeEUInformation(symbol: string, shortName: string, longName: string): EUInformation;
export interface StandardUnits {
    ampere: EUInformation;
    bar: EUInformation;
    becquerel: EUInformation;
    byte: EUInformation;
    centimetre: EUInformation;
    cubic_centimetre: EUInformation;
    cubic_centimetre_per_second: EUInformation;
    cubic_metre: EUInformation;
    cubic_metre_per_hour: EUInformation;
    cubic_meter_per_minute: EUInformation;
    curie: EUInformation;
    curie_per_kilogram: EUInformation;
    degree: EUInformation;
    degree_celsius: EUInformation;
    degree_fahrenheit: EUInformation;
    dots_per_inch: EUInformation;
    electron_volt: EUInformation;
    farad: EUInformation;
    gigabecquerel: EUInformation;
    gigabyte: EUInformation;
    gram: EUInformation;
    hectopascal: EUInformation;
    hertz: EUInformation;
    joule: EUInformation;
    kelvin: EUInformation;
    kilo_electron_volt: EUInformation;
    kilobecquerel: EUInformation;
    kilobyte: EUInformation;
    kilohertz: EUInformation;
    kilogram: EUInformation;
    kilogram_force: EUInformation;
    kilogram_per_second: EUInformation;
    kilogram_per_squared_centimeter: EUInformation;
    kilometre_per_hour: EUInformation;
    kilopascal: EUInformation;
    kilowatt: EUInformation;
    mega_electron_volt: EUInformation;
    megabyte: EUInformation;
    megahertz: EUInformation;
    megapascal: EUInformation;
    megawatt: EUInformation;
    megawatt_per_minute: EUInformation;
    metre: EUInformation;
    metre_per_second: EUInformation;
    metre_per_second_squared: EUInformation;
    microsecond: EUInformation;
    mile_per_hour: EUInformation;
    millibar: EUInformation;
    millimetre: EUInformation;
    millipascal: EUInformation;
    millisecond: EUInformation;
    minute: EUInformation;
    minute_angle: EUInformation;
    newton: EUInformation;
    pascal: EUInformation;
    part_per_million: EUInformation;
    percent: EUInformation;
    pixel: EUInformation;
    revolutions_per_minute: EUInformation;
    revolutions_per_second: EUInformation;
    second: EUInformation;
    terabyte: EUInformation;
    volt: EUInformation;
    watt: EUInformation;
}
export declare const standardUnits: StandardUnits;
