import { Variant } from "node-opcua-variant";
import { QualifiedName } from "node-opcua-data-model";
import { NodeId, ExpandedNodeId } from "node-opcua-nodeid";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |AddNodesItem                                      |
 * | isAbstract|false                                             |
 */
export interface DTAddNodesItem extends DTStructure {
    parentNodeId: ExpandedNodeId;
    referenceTypeId: NodeId;
    requestedNewNodeId: ExpandedNodeId;
    browseName: QualifiedName;
    ["$nodeClass"]: Variant;
    nodeAttributes: DTStructure;
    typeDefinition: ExpandedNodeId;
}
