import { Variant } from "node-opcua-variant";
import { NodeId, ExpandedNodeId } from "node-opcua-nodeid";
import { UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |AddReferencesItem                                 |
 * | isAbstract|false                                             |
 */
export interface DTAddReferencesItem extends DTStructure {
    sourceNodeId: NodeId;
    referenceTypeId: NodeId;
    isForward: boolean;
    targetServerUri: UAString;
    targetNodeId: ExpandedNodeId;
    targetNodeClass: Variant;
}
