import { Variant } from "node-opcua-variant";
import { LocalizedText } from "node-opcua-data-model";
import { UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |ApplicationDescription                            |
 * | isAbstract|false                                             |
 */
export interface DTApplicationDescription extends DTStructure {
    applicationUri: UAString;
    productUri: UAString;
    applicationName: LocalizedText;
    applicationType: Variant;
    gatewayServerUri: UAString;
    discoveryProfileUri: UAString;
    discoveryUrls: UAString[];
}
