import { Variant } from "node-opcua-variant";
import { LocalizedText } from "node-opcua-data-model";
import { EUInformation } from "node-opcua-data-access";
import { DTStructure } from "./dt_structure";
import { DTRange } from "./dt_range";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |AxisInformation                                   |
 * | isAbstract|false                                             |
 */
export interface DTAxisInformation extends DTStructure {
    engineeringUnits: EUInformation;
    euRange: DTRange;
    title: LocalizedText;
    axisScaleType: Variant;
    axisSteps: number[];
}
