/// <reference types="node" />
import { Variant } from "node-opcua-variant";
import { Byte, UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
import { DTApplicationDescription } from "./dt_application_description";
import { DTUserTokenPolicy } from "./dt_user_token_policy";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |EndpointDescription                               |
 * | isAbstract|false                                             |
 */
export interface DTEndpointDescription extends DTStructure {
    endpointUrl: UAString;
    server: DTApplicationDescription;
    serverCertificate: Buffer;
    securityMode: Variant;
    securityPolicyUri: UAString;
    userIdentityTokens: DTUserTokenPolicy[];
    transportProfileUri: UAString;
    securityLevel: Byte;
}
