import { Variant } from "node-opcua-variant";
import { NodeId } from "node-opcua-nodeid";
import { UInt32, UAString, Guid } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |FieldTargetDataType                               |
 * | isAbstract|false                                             |
 */
export interface DTFieldTarget extends DTStructure {
    dataSetFieldId: Guid;
    receiverIndexRange: UAString;
    targetNodeId: NodeId;
    attributeId: UInt32;
    writeIndexRange: UAString;
    overrideValueHandling: Variant;
    overrideValue: undefined;
}
