import { NodeId } from "node-opcua-nodeid";
import { StatusCode } from "node-opcua-status-code";
import { UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
import { DTArgument } from "./dt_argument";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |ProgramDiagnostic2DataType                        |
 * | isAbstract|false                                             |
 */
export interface DTProgramDiagnostic2 extends DTStructure {
    createSessionId: NodeId;
    createClientName: UAString;
    invocationCreationTime: Date;
    lastTransitionTime: Date;
    lastMethodCall: UAString;
    lastMethodSessionId: NodeId;
    lastMethodInputArguments: DTArgument[];
    lastMethodOutputArguments: DTArgument[];
    lastMethodInputValues: undefined[];
    lastMethodOutputValues: undefined[];
    lastMethodCallTime: Date;
    lastMethodReturnStatus: StatusCode;
}
