import { Variant } from "node-opcua-variant";
import { UInt32, UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
import { DTEndpointDescription } from "./dt_endpoint_description";
import { DTKeyValuePair } from "./dt_key_value_pair";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |PubSubGroupDataType                               |
 * | isAbstract|true                                              |
 */
export interface DTPubSubGroup extends DTStructure {
    name: UAString;
    enabled: boolean;
    securityMode: Variant;
    securityGroupId: UAString;
    securityKeyServices: DTEndpointDescription[];
    maxNetworkMessageSize: UInt32;
    groupProperties: DTKeyValuePair[];
}
