import { QualifiedName } from "node-opcua-data-model";
import { NodeId } from "node-opcua-nodeid";
import { UInt32, UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |PublishedVariableDataType                         |
 * | isAbstract|false                                             |
 */
export interface DTPublishedVariable extends DTStructure {
    publishedVariable: NodeId;
    attributeId: UInt32;
    samplingIntervalHint: number;
    deadbandType: UInt32;
    deadbandValue: number;
    indexRange: UAString;
    substituteValue: undefined;
    metaDataProperties: QualifiedName[];
}
