import { Variant } from "node-opcua-variant";
import { LocalizedText } from "node-opcua-data-model";
import { UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |RegisteredServer                                  |
 * | isAbstract|false                                             |
 */
export interface DTRegisteredServer extends DTStructure {
    serverUri: UAString;
    productUri: UAString;
    serverNames: LocalizedText[];
    serverType: Variant;
    gatewayServerUri: UAString;
    discoveryUrls: UAString[];
    semaphoreFilePath: UAString;
    isOnline: boolean;
}
