import { Variant } from "node-opcua-variant";
import { LocalizedText } from "node-opcua-data-model";
import { UInt32 } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
import { DTBuildInfo } from "./dt_build_info";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |ServerStatusDataType                              |
 * | isAbstract|false                                             |
 */
export interface DTServerStatus extends DTStructure {
    startTime: Date;
    currentTime: Date;
    state: Variant;
    buildInfo: DTBuildInfo;
    secondsTillShutdown: UInt32;
    shutdownReason: LocalizedText;
}
