/// <reference types="node" />
import { Variant } from "node-opcua-variant";
import { NodeId } from "node-opcua-nodeid";
import { UAString } from "node-opcua-basic-types";
import { DTStructure } from "./dt_structure";
/**
 * |           |                                                  |
 * |-----------|--------------------------------------------------|
 * | namespace |http://opcfoundation.org/UA/                      |
 * | nodeClass |DataType                                          |
 * | name      |SessionSecurityDiagnosticsDataType                |
 * | isAbstract|false                                             |
 */
export interface DTSessionSecurityDiagnostics extends DTStructure {
    sessionId: NodeId;
    clientUserIdOfSession: UAString;
    clientUserIdHistory: UAString[];
    authenticationMechanism: UAString;
    encoding: UAString;
    transportProtocol: UAString;
    securityMode: Variant;
    securityPolicyUri: UAString;
    clientCertificate: Buffer;
}
