import { UAMethod, UAProperty } from "node-opcua-address-space-base";
import { DataType } from "node-opcua-variant";
import { UAString } from "node-opcua-basic-types";
import { UAPubSubKeyService, UAPubSubKeyService_Base } from "./ua_pub_sub_key_service";
import { UADataSetFolder } from "./ua_data_set_folder";
import { UAPubSubStatus } from "./ua_pub_sub_status";
import { UAPubSubDiagnosticsRoot } from "./ua_pub_sub_diagnostics_root";
/**
 * |                |                                                  |
 * |----------------|--------------------------------------------------|
 * |namespace       |http://opcfoundation.org/UA/                      |
 * |nodeClass       |ObjectType                                        |
 * |typedDefinition |PublishSubscribeType ns=0;i=14416                 |
 * |isAbstract      |false                                             |
 */
export interface UAPublishSubscribe_Base extends UAPubSubKeyService_Base {
    setSecurityKeys?: UAMethod;
    addConnection?: UAMethod;
    removeConnection?: UAMethod;
    publishedDataSets: UADataSetFolder;
    status: UAPubSubStatus;
    diagnostics?: UAPubSubDiagnosticsRoot;
    supportedTransportProfiles: UAProperty<UAString[], /*z*/ DataType.String>;
}
export interface UAPublishSubscribe extends UAPubSubKeyService, UAPublishSubscribe_Base {
}
