/**
 * Copyright Sterfive 2020-2022
 */

import { DataValue } from "node-opcua-data-value";
import { DataSetFieldContentMask } from "node-opcua-types";
import { VariantJSON, VariantJSONBody } from "./json_basic_encoding_decoding_variant";
import { StatusCodeJSON } from "./json_basic_encoding_decoding_statuscode";
import { ExtensionObjectBuilder } from "./json_basic_encoding_body_functor";
export interface DataValueJSON {
    Value?: VariantJSON | null;
    StatusCode?: StatusCodeJSON | number;
    SourceTimestamp?: Date;
    SourcePicoseconds?: number;
    ServerTimestamp?: Date;
    ServerPicoseconds?: number;
}
/**
 *
 * @param dataValue
 * @param mask
 * @returns
 */
export declare function opcuaJsonEncodeDataValueMQTT(dataValue: DataValue, mask: DataSetFieldContentMask): VariantJSONBody | VariantJSON | DataValueJSON | null;
export declare function opcuaJsonEncodeDataValue(dataValue: DataValue, reversible: boolean): DataValueJSON;
export declare function opcuaJsonDecodeDataValue(pojo: DataValueJSON | null | undefined, builder?: ExtensionObjectBuilder): DataValue;
