/**
 * Copyright Sterfive 2020-2022
 */

import { Duration } from "node-opcua-address-space";
import { NodeId } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { DataSetFieldContentMask, DataSetMetaDataTypeOptions, KeyValuePair } from "node-opcua-types";
import { UANodeProxy } from "./ua_node_proxy";
import { TargetVariables } from "./target_variables";
declare const DataSetReaderNodeIds: {
    DataSetWriterId: string;
    WriterGroupId: string;
    PublisherId: string;
    DataSetFieldContentMask: string;
    KeyFrameCount: string;
    DataSetReaderProperties: string;
    MessageReceiveTimeout: string;
    DataSetMetaData: string;
    HeaderLayoutUri: string;
    SubscribedDataSet: string;
    "TransportSettings.QueueName": string;
    "TransportSettings.ResourceUri": string;
    "TransportSettings.MetaDataQueueName": string;
    "TransportSettings.AuthenticationProfileUri": string;
};
export declare class DataSetReader extends UANodeProxy<typeof DataSetReaderNodeIds> {
    protected _getPaths(): typeof DataSetReaderNodeIds;
    constructor(session: IBasicSession, nodeId: NodeId);
    getSubscribedDataSetAsTargetVariables(): Promise<TargetVariables>;
    getDataSetWriterId(): Promise<number>;
    getWriterGroupId(): Promise<number>;
    getPublisherId(): Promise<string>;
    getDataSetFieldContentMask(): Promise<DataSetFieldContentMask>;
    getKeyFrameCount(): Promise<number>;
    getDataSetReaderProperties(): Promise<KeyValuePair>;
    getDataSetMetaData(): Promise<DataSetMetaDataTypeOptions>;
    getHeaderLayoutUri(): Promise<string>;
    getMessageReceiveTimeout(): Promise<Duration>;
    getQueueName(): Promise<string>;
    getResourceUri(): Promise<string>;
    getAuthenticationProfileUri(): Promise<string>;
    getMetaDataQueueName(): Promise<string>;
}
export {};
