/**
 * Copyright Sterfive 2020-2022
 */

import { Double } from "node-opcua-basic-types";
import { NodeId } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { DataSetFieldContentMask, DataSetWriterDataType, KeyValuePair } from "node-opcua-types";
import { WriterGroup } from "./writer_group";
import { Connection } from "./connection";
import { UANodeProxy } from "./ua_node_proxy";
declare const DataSetWriterNodeId: Record<string, string>;
export declare class DataSetWriter extends UANodeProxy<typeof DataSetWriterNodeId> {
    protected _getPaths(): Record<string, string>;
    constructor(session: IBasicSession, nodeId: NodeId);
    getDataSetFieldContentMask(): Promise<DataSetFieldContentMask>;
    getDataSetWriterId(): Promise<number>;
    getDataSetWriterProperties(): Promise<KeyValuePair>;
    getQueueName(): Promise<string>;
    getResourceUri(): Promise<string>;
    getAuthenticationProfileUri(): Promise<string>;
    getMetaDataQueueName(): Promise<string>;
    getMetaDataUpdateTime(): Promise<Double>;
    get(): DataSetWriterDataType;
    /**
     * @method write
     */
    getWriterGroup(): Promise<WriterGroup>;
    getConnection(): Promise<Connection>;
}
export {};
