import { NodeIdLike } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { StatusCode } from "node-opcua-status-code";
import { PubSubConnectionDataTypeOptions } from "node-opcua-types";
import { Connection } from "./connection";
import { DataSetFolder } from "./dataset_folder";
import { DataSetWriter } from "./dataset_writer";
import { SessionNode } from "./session_node";
export declare enum PubSubState {
    Disabled = 0,
    Paused = 1,
    Operational = 2,
    Error = 3
}
export declare type NodeIdOrElementContainingNodeId = NodeIdLike | {
    nodeId: NodeIdLike;
};
export declare class PubSubStatus {
    disable(): Promise<void>;
    enable(): Promise<void>;
    getState(): Promise<PubSubState>;
}
export declare class PublishSubscribe extends SessionNode {
    constructor(session: IBasicSession);
    getConnections(): Promise<Connection[]>;
    /**
     *  return the PublishedDataSets folder (root element)
     */
    get publishedDataSets(): DataSetFolder;
    addConnection(pubSubConnection: PubSubConnectionDataTypeOptions): Promise<Connection>;
    removeConnection(connection: NodeIdOrElementContainingNodeId): Promise<StatusCode>;
    configurationFile(): Promise<void>;
    getStatus(): Promise<PubSubStatus>;
    getSupportedTransportProfiles(): Promise<string[]>;
    getPublishedDataSetWriter(dataSetWriterId: number): Promise<DataSetWriter | null>;
}
