import { NodeId } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { DataSetReaderDataTypeOptions, KeyValuePair } from "node-opcua-types";
import { UANodeProxy } from "./ua_node_proxy";
import { DataSetReader } from "./dataset_reader";
declare const readerGroupNodeId: Record<string, string>;
export declare class ReaderGroup extends UANodeProxy<typeof readerGroupNodeId> {
    protected _getPaths(): Record<string, string>;
    constructor(session: IBasicSession, nodeId: NodeId);
    addDataSetReader(dataSetReader: DataSetReaderDataTypeOptions): Promise<DataSetReader>;
    removeDataSetReader(dataSetReaderNodeId: NodeId): Promise<void>;
    getDataSetReaders(): Promise<DataSetReader[]>;
    getGroupProperties(): Promise<KeyValuePair[]>;
}
export {};
