import { NodeId, NodeIdLike } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { SessionNode } from "./session_node";
export declare type CachedNodeId<T> = {
    [Property in keyof T]?: NodeId;
};
export declare abstract class UANodeProxy<T extends Record<string, string>> extends SessionNode {
    protected _cacheNodes?: CachedNodeId<T>;
    protected abstract _getPaths(): T;
    protected ensureInitialized(): Promise<void>;
    protected getTypeDefinition(key: keyof T): Promise<NodeId>;
    protected getNodeId(key: keyof T): Promise<NodeId>;
    protected _getParent<T>(reference: NodeIdLike, constructor: {
        new (session: IBasicSession, nodeId: NodeId): T;
    }): Promise<T>;
    protected read<Q>(key: keyof T): Promise<Q>;
    protected _browseCollection<T>(referenceTypeId: NodeIdLike, constructor: {
        new (session: IBasicSession, nodeId: NodeId): T;
    }, expectedTypeDefinition?: NodeIdLike): Promise<T[]>;
}
