/**
 * Copyright Sterfive 2020-2022
 */

import { Double, Byte } from "node-opcua-basic-types";
import { NodeId } from "node-opcua-nodeid";
import { IBasicSession } from "node-opcua-pseudo-session";
import { DataSetWriterDataTypeOptions } from "node-opcua-types";
import { UANodeProxy } from "./ua_node_proxy";
import { DataSetWriter } from "./dataset_writer";
import { Connection } from "./connection";
declare type Duration = Double;
declare const writerGroupNodeIds: Record<string, string>;
export declare class WriterGroup extends UANodeProxy<typeof writerGroupNodeIds> {
    protected _getPaths(): Record<string, string>;
    constructor(session: IBasicSession, nodeId: NodeId);
    addDataSetWriter(dataSetWriter: DataSetWriterDataTypeOptions): Promise<DataSetWriter>;
    removeDataSetWriter(dataSetWriterNodeId: NodeId): Promise<void>;
    getDataSetWriters(): Promise<DataSetWriter[]>;
    getPublishingInterval(): Promise<Duration>;
    getPriority(): Promise<Byte>;
    getConnection(): Promise<Connection>;
}
export {};
