/**
 * @module node-opcua-server
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { OPCUABaseServer } from "./base_server";
import { IRegisterServerManager } from "./i_register_server_manager";
/**
 * a RegisterServerManager that declare the server the OPCUA Bonjour service
 * available on the current computer
 */
export declare class RegisterServerManagerMDNSONLY extends EventEmitter implements IRegisterServerManager {
    discoveryServerEndpointUrl: string;
    private server?;
    private bonjour;
    constructor(options: {
        server: OPCUABaseServer;
    });
    stop(callback: () => void): void;
    start(callback: () => void): void;
    dispose(): void;
}
